### Hierarchy

- unknown
  - NetworkEnvelope

## Index

### Constructors

- constructor

### Methods

- clearAckMessage
- clearAddDataMessage
- clearAddPersistableNetworkPayloadMessage
- clearBundleOfEnvelopes
- clearChatMessage
- clearCloseConnectionMessage
- clearDelayedPayoutTxSignatureRequest
- clearDelayedPayoutTxSignatureResponse
- clearDepositRequest
- clearDepositResponse
- clearDepositTxAndDelayedPayoutTxMessage
- clearDepositTxMessage
- clearDepositsConfirmedMessage
- clearDisputeClosedMessage
- clearDisputeOpenedMessage
- clearGetDataResponse
- clearGetInventoryRequest
- clearGetInventoryResponse
- clearGetPeersRequest
- clearGetPeersResponse
- clearGetUpdatedDataRequest
- clearInitMultisigRequest
- clearInitTradeRequest
- clearInputsForDepositTxRequest
- clearInputsForDepositTxResponse
- clearMediatedPayoutTxPublishedMessage
- clearMediatedPayoutTxSignatureMessage
- clearOfferAvailabilityRequest
- clearOfferAvailabilityResponse
- clearPaymentReceivedMessage
- clearPaymentSentMessage
- clearPeerPublishedDelayedPayoutTxMessage
- clearPing
- clearPong
- clearPrefixedSealedAndSignedMessage
- clearPreliminaryGetDataRequest
- clearPrivateNotificationMessage
- clearRefreshOfferMessage
- clearRefreshTradeStateRequest
- clearRemoveDataMessage
- clearRemoveMailboxDataMessage
- clearSignContractRequest
- clearSignContractResponse
- clearSignOfferRequest
- clearSignOfferResponse
- clearTraderSignedWitnessMessage
- getAckMessage
- getAddDataMessage
- getAddPersistableNetworkPayloadMessage
- getBundleOfEnvelopes
- getChatMessage
- getCloseConnectionMessage
- getDelayedPayoutTxSignatureRequest
- getDelayedPayoutTxSignatureResponse
- getDepositRequest
- getDepositResponse
- getDepositTxAndDelayedPayoutTxMessage
- getDepositTxMessage
- getDepositsConfirmedMessage
- getDisputeClosedMessage
- getDisputeOpenedMessage
- getGetDataResponse
- getGetInventoryRequest
- getGetInventoryResponse
- getGetPeersRequest
- getGetPeersResponse
- getGetUpdatedDataRequest
- getInitMultisigRequest
- getInitTradeRequest
- getInputsForDepositTxRequest
- getInputsForDepositTxResponse
- getMediatedPayoutTxPublishedMessage
- getMediatedPayoutTxSignatureMessage
- getMessageCase
- getMessageVersion
- getOfferAvailabilityRequest
- getOfferAvailabilityResponse
- getPaymentReceivedMessage
- getPaymentSentMessage
- getPeerPublishedDelayedPayoutTxMessage
- getPing
- getPong
- getPrefixedSealedAndSignedMessage
- getPreliminaryGetDataRequest
- getPrivateNotificationMessage
- getRefreshOfferMessage
- getRefreshTradeStateRequest
- getRemoveDataMessage
- getRemoveMailboxDataMessage
- getSignContractRequest
- getSignContractResponse
- getSignOfferRequest
- getSignOfferResponse
- getTraderSignedWitnessMessage
- hasAckMessage
- hasAddDataMessage
- hasAddPersistableNetworkPayloadMessage
- hasBundleOfEnvelopes
- hasChatMessage
- hasCloseConnectionMessage
- hasDelayedPayoutTxSignatureRequest
- hasDelayedPayoutTxSignatureResponse
- hasDepositRequest
- hasDepositResponse
- hasDepositTxAndDelayedPayoutTxMessage
- hasDepositTxMessage
- hasDepositsConfirmedMessage
- hasDisputeClosedMessage
- hasDisputeOpenedMessage
- hasGetDataResponse
- hasGetInventoryRequest
- hasGetInventoryResponse
- hasGetPeersRequest
- hasGetPeersResponse
- hasGetUpdatedDataRequest
- hasInitMultisigRequest
- hasInitTradeRequest
- hasInputsForDepositTxRequest
- hasInputsForDepositTxResponse
- hasMediatedPayoutTxPublishedMessage
- hasMediatedPayoutTxSignatureMessage
- hasOfferAvailabilityRequest
- hasOfferAvailabilityResponse
- hasPaymentReceivedMessage
- hasPaymentSentMessage
- hasPeerPublishedDelayedPayoutTxMessage
- hasPing
- hasPong
- hasPrefixedSealedAndSignedMessage
- hasPreliminaryGetDataRequest
- hasPrivateNotificationMessage
- hasRefreshOfferMessage
- hasRefreshTradeStateRequest
- hasRemoveDataMessage
- hasRemoveMailboxDataMessage
- hasSignContractRequest
- hasSignContractResponse
- hasSignOfferRequest
- hasSignOfferResponse
- hasTraderSignedWitnessMessage
- serializeBinary
- setAckMessage
- setAddDataMessage
- setAddPersistableNetworkPayloadMessage
- setBundleOfEnvelopes
- setChatMessage
- setCloseConnectionMessage
- setDelayedPayoutTxSignatureRequest
- setDelayedPayoutTxSignatureResponse
- setDepositRequest
- setDepositResponse
- setDepositTxAndDelayedPayoutTxMessage
- setDepositTxMessage
- setDepositsConfirmedMessage
- setDisputeClosedMessage
- setDisputeOpenedMessage
- setGetDataResponse
- setGetInventoryRequest
- setGetInventoryResponse
- setGetPeersRequest
- setGetPeersResponse
- setGetUpdatedDataRequest
- setInitMultisigRequest
- setInitTradeRequest
- setInputsForDepositTxRequest
- setInputsForDepositTxResponse
- setMediatedPayoutTxPublishedMessage
- setMediatedPayoutTxSignatureMessage
- setMessageVersion
- setOfferAvailabilityRequest
- setOfferAvailabilityResponse
- setPaymentReceivedMessage
- setPaymentSentMessage
- setPeerPublishedDelayedPayoutTxMessage
- setPing
- setPong
- setPrefixedSealedAndSignedMessage
- setPreliminaryGetDataRequest
- setPrivateNotificationMessage
- setRefreshOfferMessage
- setRefreshTradeStateRequest
- setRemoveDataMessage
- setRemoveMailboxDataMessage
- setSignContractRequest
- setSignContractResponse
- setSignOfferRequest
- setSignOfferResponse
- setTraderSignedWitnessMessage
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new NetworkEnvelope(): NetworkEnvelope

- Inherited from jspb.Message.constructor

  #### Returns NetworkEnvelope

## Methods

### clearAckMessage

- clearAckMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:127

  #### Returns NetworkEnvelope

### clearAddDataMessage

- clearAddDataMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:62

  #### Returns NetworkEnvelope

### clearAddPersistableNetworkPayloadMessage

- clearAddPersistableNetworkPayloadMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:122

  #### Returns NetworkEnvelope

### clearBundleOfEnvelopes

- clearBundleOfEnvelopes(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:132

  #### Returns NetworkEnvelope

### clearChatMessage

- clearChatMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:112

  #### Returns NetworkEnvelope

### clearCloseConnectionMessage

- clearCloseConnectionMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:77

  #### Returns NetworkEnvelope

### clearDelayedPayoutTxSignatureRequest

- clearDelayedPayoutTxSignatureRequest(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:147

  #### Returns NetworkEnvelope

### clearDelayedPayoutTxSignatureResponse

- clearDelayedPayoutTxSignatureResponse(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:152

  #### Returns NetworkEnvelope

### clearDepositRequest

- clearDepositRequest(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:217

  #### Returns NetworkEnvelope

### clearDepositResponse

- clearDepositResponse(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:222

  #### Returns NetworkEnvelope

### clearDepositTxAndDelayedPayoutTxMessage

- clearDepositTxAndDelayedPayoutTxMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:157

  #### Returns NetworkEnvelope

### clearDepositTxMessage

- clearDepositTxMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:97

  #### Returns NetworkEnvelope

### clearDepositsConfirmedMessage

- clearDepositsConfirmedMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:227

  #### Returns NetworkEnvelope

### clearDisputeClosedMessage

- clearDisputeClosedMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:107

  #### Returns NetworkEnvelope

### clearDisputeOpenedMessage

- clearDisputeOpenedMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:102

  #### Returns NetworkEnvelope

### clearGetDataResponse

- clearGetDataResponse(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:17

  #### Returns NetworkEnvelope

### clearGetInventoryRequest

- clearGetInventoryRequest(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:177

  #### Returns NetworkEnvelope

### clearGetInventoryResponse

- clearGetInventoryResponse(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:182

  #### Returns NetworkEnvelope

### clearGetPeersRequest

- clearGetPeersRequest(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:27

  #### Returns NetworkEnvelope

### clearGetPeersResponse

- clearGetPeersResponse(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:32

  #### Returns NetworkEnvelope

### clearGetUpdatedDataRequest

- clearGetUpdatedDataRequest(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:22

  #### Returns NetworkEnvelope

### clearInitMultisigRequest

- clearInitMultisigRequest(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:202

  #### Returns NetworkEnvelope

### clearInitTradeRequest

- clearInitTradeRequest(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:197

  #### Returns NetworkEnvelope

### clearInputsForDepositTxRequest

- clearInputsForDepositTxRequest(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:87

  #### Returns NetworkEnvelope

### clearInputsForDepositTxResponse

- clearInputsForDepositTxResponse(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:92

  #### Returns NetworkEnvelope

### clearMediatedPayoutTxPublishedMessage

- clearMediatedPayoutTxPublishedMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:142

  #### Returns NetworkEnvelope

### clearMediatedPayoutTxSignatureMessage

- clearMediatedPayoutTxSignatureMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:137

  #### Returns NetworkEnvelope

### clearOfferAvailabilityRequest

- clearOfferAvailabilityRequest(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:47

  #### Returns NetworkEnvelope

### clearOfferAvailabilityResponse

- clearOfferAvailabilityResponse(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:52

  #### Returns NetworkEnvelope

### clearPaymentReceivedMessage

- clearPaymentReceivedMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:237

  #### Returns NetworkEnvelope

### clearPaymentSentMessage

- clearPaymentSentMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:232

  #### Returns NetworkEnvelope

### clearPeerPublishedDelayedPayoutTxMessage

- clearPeerPublishedDelayedPayoutTxMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:162

  #### Returns NetworkEnvelope

### clearPing

- clearPing(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:37

  #### Returns NetworkEnvelope

### clearPong

- clearPong(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:42

  #### Returns NetworkEnvelope

### clearPrefixedSealedAndSignedMessage

- clearPrefixedSealedAndSignedMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:82

  #### Returns NetworkEnvelope

### clearPreliminaryGetDataRequest

- clearPreliminaryGetDataRequest(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:12

  #### Returns NetworkEnvelope

### clearPrivateNotificationMessage

- clearPrivateNotificationMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:117

  #### Returns NetworkEnvelope

### clearRefreshOfferMessage

- clearRefreshOfferMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:57

  #### Returns NetworkEnvelope

### clearRefreshTradeStateRequest

- clearRefreshTradeStateRequest(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:167

  #### Returns NetworkEnvelope

### clearRemoveDataMessage

- clearRemoveDataMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:67

  #### Returns NetworkEnvelope

### clearRemoveMailboxDataMessage

- clearRemoveMailboxDataMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:72

  #### Returns NetworkEnvelope

### clearSignContractRequest

- clearSignContractRequest(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:207

  #### Returns NetworkEnvelope

### clearSignContractResponse

- clearSignContractResponse(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:212

  #### Returns NetworkEnvelope

### clearSignOfferRequest

- clearSignOfferRequest(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:187

  #### Returns NetworkEnvelope

### clearSignOfferResponse

- clearSignOfferResponse(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:192

  #### Returns NetworkEnvelope

### clearTraderSignedWitnessMessage

- clearTraderSignedWitnessMessage(): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:172

  #### Returns NetworkEnvelope

### getAckMessage

- getAckMessage(): undefined | AckMessage

- - Defined in src/protobuf/pb_pb.d.ts:124

  #### Returns undefined | AckMessage

### getAddDataMessage

- getAddDataMessage(): undefined | AddDataMessage

- - Defined in src/protobuf/pb_pb.d.ts:59

  #### Returns undefined | AddDataMessage

### getAddPersistableNetworkPayloadMessage

- getAddPersistableNetworkPayloadMessage(): undefined | AddPersistableNetworkPayloadMessage

- - Defined in src/protobuf/pb_pb.d.ts:119

  #### Returns undefined | AddPersistableNetworkPayloadMessage

### getBundleOfEnvelopes

- getBundleOfEnvelopes(): undefined | BundleOfEnvelopes

- - Defined in src/protobuf/pb_pb.d.ts:129

  #### Returns undefined | BundleOfEnvelopes

### getChatMessage

- getChatMessage(): undefined | ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:109

  #### Returns undefined | ChatMessage

### getCloseConnectionMessage

- getCloseConnectionMessage(): undefined | CloseConnectionMessage

- - Defined in src/protobuf/pb_pb.d.ts:74

  #### Returns undefined | CloseConnectionMessage

### getDelayedPayoutTxSignatureRequest

- getDelayedPayoutTxSignatureRequest(): undefined | DelayedPayoutTxSignatureRequest

- - Defined in src/protobuf/pb_pb.d.ts:144

  #### Returns undefined | DelayedPayoutTxSignatureRequest

### getDelayedPayoutTxSignatureResponse

- getDelayedPayoutTxSignatureResponse(): undefined | DelayedPayoutTxSignatureResponse

- - Defined in src/protobuf/pb_pb.d.ts:149

  #### Returns undefined | DelayedPayoutTxSignatureResponse

### getDepositRequest

- getDepositRequest(): undefined | DepositRequest

- - Defined in src/protobuf/pb_pb.d.ts:214

  #### Returns undefined | DepositRequest

### getDepositResponse

- getDepositResponse(): undefined | DepositResponse

- - Defined in src/protobuf/pb_pb.d.ts:219

  #### Returns undefined | DepositResponse

### getDepositTxAndDelayedPayoutTxMessage

- getDepositTxAndDelayedPayoutTxMessage(): undefined | DepositTxAndDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:154

  #### Returns undefined | DepositTxAndDelayedPayoutTxMessage

### getDepositTxMessage

- getDepositTxMessage(): undefined | DepositTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:94

  #### Returns undefined | DepositTxMessage

### getDepositsConfirmedMessage

- getDepositsConfirmedMessage(): undefined | DepositsConfirmedMessage

- - Defined in src/protobuf/pb_pb.d.ts:224

  #### Returns undefined | DepositsConfirmedMessage

### getDisputeClosedMessage

- getDisputeClosedMessage(): undefined | DisputeClosedMessage

- - Defined in src/protobuf/pb_pb.d.ts:104

  #### Returns undefined | DisputeClosedMessage

### getDisputeOpenedMessage

- getDisputeOpenedMessage(): undefined | DisputeOpenedMessage

- - Defined in src/protobuf/pb_pb.d.ts:99

  #### Returns undefined | DisputeOpenedMessage

### getGetDataResponse

- getGetDataResponse(): undefined | GetDataResponse

- - Defined in src/protobuf/pb_pb.d.ts:14

  #### Returns undefined | GetDataResponse

### getGetInventoryRequest

- getGetInventoryRequest(): undefined | GetInventoryRequest

- - Defined in src/protobuf/pb_pb.d.ts:174

  #### Returns undefined | GetInventoryRequest

### getGetInventoryResponse

- getGetInventoryResponse(): undefined | GetInventoryResponse

- - Defined in src/protobuf/pb_pb.d.ts:179

  #### Returns undefined | GetInventoryResponse

### getGetPeersRequest

- getGetPeersRequest(): undefined | GetPeersRequest

- - Defined in src/protobuf/pb_pb.d.ts:24

  #### Returns undefined | GetPeersRequest

### getGetPeersResponse

- getGetPeersResponse(): undefined | GetPeersResponse

- - Defined in src/protobuf/pb_pb.d.ts:29

  #### Returns undefined | GetPeersResponse

### getGetUpdatedDataRequest

- getGetUpdatedDataRequest(): undefined | GetUpdatedDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:19

  #### Returns undefined | GetUpdatedDataRequest

### getInitMultisigRequest

- getInitMultisigRequest(): undefined | InitMultisigRequest

- - Defined in src/protobuf/pb_pb.d.ts:199

  #### Returns undefined | InitMultisigRequest

### getInitTradeRequest

- getInitTradeRequest(): undefined | InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:194

  #### Returns undefined | InitTradeRequest

### getInputsForDepositTxRequest

- getInputsForDepositTxRequest(): undefined | InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:84

  #### Returns undefined | InputsForDepositTxRequest

### getInputsForDepositTxResponse

- getInputsForDepositTxResponse(): undefined | InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:89

  #### Returns undefined | InputsForDepositTxResponse

### getMediatedPayoutTxPublishedMessage

- getMediatedPayoutTxPublishedMessage(): undefined | MediatedPayoutTxPublishedMessage

- - Defined in src/protobuf/pb_pb.d.ts:139

  #### Returns undefined | MediatedPayoutTxPublishedMessage

### getMediatedPayoutTxSignatureMessage

- getMediatedPayoutTxSignatureMessage(): undefined | MediatedPayoutTxSignatureMessage

- - Defined in src/protobuf/pb_pb.d.ts:134

  #### Returns undefined | MediatedPayoutTxSignatureMessage

### getMessageCase

- getMessageCase(): NetworkEnvelope . MessageCase

- - Defined in src/protobuf/pb_pb.d.ts:239

  #### Returns NetworkEnvelope . MessageCase

### getMessageVersion

- getMessageVersion(): string

- - Defined in src/protobuf/pb_pb.d.ts:6

  #### Returns string

### getOfferAvailabilityRequest

- getOfferAvailabilityRequest(): undefined | OfferAvailabilityRequest

- - Defined in src/protobuf/pb_pb.d.ts:44

  #### Returns undefined | OfferAvailabilityRequest

### getOfferAvailabilityResponse

- getOfferAvailabilityResponse(): undefined | OfferAvailabilityResponse

- - Defined in src/protobuf/pb_pb.d.ts:49

  #### Returns undefined | OfferAvailabilityResponse

### getPaymentReceivedMessage

- getPaymentReceivedMessage(): undefined | PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:234

  #### Returns undefined | PaymentReceivedMessage

### getPaymentSentMessage

- getPaymentSentMessage(): undefined | PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:229

  #### Returns undefined | PaymentSentMessage

### getPeerPublishedDelayedPayoutTxMessage

- getPeerPublishedDelayedPayoutTxMessage(): undefined | PeerPublishedDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:159

  #### Returns undefined | PeerPublishedDelayedPayoutTxMessage

### getPing

- getPing(): undefined | Ping

- - Defined in src/protobuf/pb_pb.d.ts:34

  #### Returns undefined | Ping

### getPong

- getPong(): undefined | Pong

- - Defined in src/protobuf/pb_pb.d.ts:39

  #### Returns undefined | Pong

### getPrefixedSealedAndSignedMessage

- getPrefixedSealedAndSignedMessage(): undefined | PrefixedSealedAndSignedMessage

- - Defined in src/protobuf/pb_pb.d.ts:79

  #### Returns undefined | PrefixedSealedAndSignedMessage

### getPreliminaryGetDataRequest

- getPreliminaryGetDataRequest(): undefined | PreliminaryGetDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:9

  #### Returns undefined | PreliminaryGetDataRequest

### getPrivateNotificationMessage

- getPrivateNotificationMessage(): undefined | PrivateNotificationMessage

- - Defined in src/protobuf/pb_pb.d.ts:114

  #### Returns undefined | PrivateNotificationMessage

### getRefreshOfferMessage

- getRefreshOfferMessage(): undefined | RefreshOfferMessage

- - Defined in src/protobuf/pb_pb.d.ts:54

  #### Returns undefined | RefreshOfferMessage

### getRefreshTradeStateRequest

- getRefreshTradeStateRequest(): undefined | RefreshTradeStateRequest

- - Defined in src/protobuf/pb_pb.d.ts:164

  #### Returns undefined | RefreshTradeStateRequest

### getRemoveDataMessage

- getRemoveDataMessage(): undefined | RemoveDataMessage

- - Defined in src/protobuf/pb_pb.d.ts:64

  #### Returns undefined | RemoveDataMessage

### getRemoveMailboxDataMessage

- getRemoveMailboxDataMessage(): undefined | RemoveMailboxDataMessage

- - Defined in src/protobuf/pb_pb.d.ts:69

  #### Returns undefined | RemoveMailboxDataMessage

### getSignContractRequest

- getSignContractRequest(): undefined | SignContractRequest

- - Defined in src/protobuf/pb_pb.d.ts:204

  #### Returns undefined | SignContractRequest

### getSignContractResponse

- getSignContractResponse(): undefined | SignContractResponse

- - Defined in src/protobuf/pb_pb.d.ts:209

  #### Returns undefined | SignContractResponse

### getSignOfferRequest

- getSignOfferRequest(): undefined | SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:184

  #### Returns undefined | SignOfferRequest

### getSignOfferResponse

- getSignOfferResponse(): undefined | SignOfferResponse

- - Defined in src/protobuf/pb_pb.d.ts:189

  #### Returns undefined | SignOfferResponse

### getTraderSignedWitnessMessage

- getTraderSignedWitnessMessage(): undefined | TraderSignedWitnessMessage

- - Defined in src/protobuf/pb_pb.d.ts:169

  #### Returns undefined | TraderSignedWitnessMessage

### hasAckMessage

- hasAckMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:126

  #### Returns boolean

### hasAddDataMessage

- hasAddDataMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:61

  #### Returns boolean

### hasAddPersistableNetworkPayloadMessage

- hasAddPersistableNetworkPayloadMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:121

  #### Returns boolean

### hasBundleOfEnvelopes

- hasBundleOfEnvelopes(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:131

  #### Returns boolean

### hasChatMessage

- hasChatMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:111

  #### Returns boolean

### hasCloseConnectionMessage

- hasCloseConnectionMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:76

  #### Returns boolean

### hasDelayedPayoutTxSignatureRequest

- hasDelayedPayoutTxSignatureRequest(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:146

  #### Returns boolean

### hasDelayedPayoutTxSignatureResponse

- hasDelayedPayoutTxSignatureResponse(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:151

  #### Returns boolean

### hasDepositRequest

- hasDepositRequest(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:216

  #### Returns boolean

### hasDepositResponse

- hasDepositResponse(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:221

  #### Returns boolean

### hasDepositTxAndDelayedPayoutTxMessage

- hasDepositTxAndDelayedPayoutTxMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:156

  #### Returns boolean

### hasDepositTxMessage

- hasDepositTxMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:96

  #### Returns boolean

### hasDepositsConfirmedMessage

- hasDepositsConfirmedMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:226

  #### Returns boolean

### hasDisputeClosedMessage

- hasDisputeClosedMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:106

  #### Returns boolean

### hasDisputeOpenedMessage

- hasDisputeOpenedMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:101

  #### Returns boolean

### hasGetDataResponse

- hasGetDataResponse(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:16

  #### Returns boolean

### hasGetInventoryRequest

- hasGetInventoryRequest(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:176

  #### Returns boolean

### hasGetInventoryResponse

- hasGetInventoryResponse(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:181

  #### Returns boolean

### hasGetPeersRequest

- hasGetPeersRequest(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:26

  #### Returns boolean

### hasGetPeersResponse

- hasGetPeersResponse(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:31

  #### Returns boolean

### hasGetUpdatedDataRequest

- hasGetUpdatedDataRequest(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:21

  #### Returns boolean

### hasInitMultisigRequest

- hasInitMultisigRequest(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:201

  #### Returns boolean

### hasInitTradeRequest

- hasInitTradeRequest(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:196

  #### Returns boolean

### hasInputsForDepositTxRequest

- hasInputsForDepositTxRequest(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:86

  #### Returns boolean

### hasInputsForDepositTxResponse

- hasInputsForDepositTxResponse(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:91

  #### Returns boolean

### hasMediatedPayoutTxPublishedMessage

- hasMediatedPayoutTxPublishedMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:141

  #### Returns boolean

### hasMediatedPayoutTxSignatureMessage

- hasMediatedPayoutTxSignatureMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:136

  #### Returns boolean

### hasOfferAvailabilityRequest

- hasOfferAvailabilityRequest(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:46

  #### Returns boolean

### hasOfferAvailabilityResponse

- hasOfferAvailabilityResponse(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:51

  #### Returns boolean

### hasPaymentReceivedMessage

- hasPaymentReceivedMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:236

  #### Returns boolean

### hasPaymentSentMessage

- hasPaymentSentMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:231

  #### Returns boolean

### hasPeerPublishedDelayedPayoutTxMessage

- hasPeerPublishedDelayedPayoutTxMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:161

  #### Returns boolean

### hasPing

- hasPing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:36

  #### Returns boolean

### hasPong

- hasPong(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:41

  #### Returns boolean

### hasPrefixedSealedAndSignedMessage

- hasPrefixedSealedAndSignedMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:81

  #### Returns boolean

### hasPreliminaryGetDataRequest

- hasPreliminaryGetDataRequest(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:11

  #### Returns boolean

### hasPrivateNotificationMessage

- hasPrivateNotificationMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:116

  #### Returns boolean

### hasRefreshOfferMessage

- hasRefreshOfferMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:56

  #### Returns boolean

### hasRefreshTradeStateRequest

- hasRefreshTradeStateRequest(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:166

  #### Returns boolean

### hasRemoveDataMessage

- hasRemoveDataMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:66

  #### Returns boolean

### hasRemoveMailboxDataMessage

- hasRemoveMailboxDataMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:71

  #### Returns boolean

### hasSignContractRequest

- hasSignContractRequest(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:206

  #### Returns boolean

### hasSignContractResponse

- hasSignContractResponse(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:211

  #### Returns boolean

### hasSignOfferRequest

- hasSignOfferRequest(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:186

  #### Returns boolean

### hasSignOfferResponse

- hasSignOfferResponse(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:191

  #### Returns boolean

### hasTraderSignedWitnessMessage

- hasTraderSignedWitnessMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:171

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:241

  #### Returns Uint8Array

### setAckMessage

- setAckMessage(value?: AckMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:125

  #### Parameters

  - ##### Optional value: AckMessage

  #### Returns NetworkEnvelope

### setAddDataMessage

- setAddDataMessage(value?: AddDataMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:60

  #### Parameters

  - ##### Optional value: AddDataMessage

  #### Returns NetworkEnvelope

### setAddPersistableNetworkPayloadMessage

- setAddPersistableNetworkPayloadMessage(value?: AddPersistableNetworkPayloadMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:120

  #### Parameters

  - ##### Optional value: AddPersistableNetworkPayloadMessage

  #### Returns NetworkEnvelope

### setBundleOfEnvelopes

- setBundleOfEnvelopes(value?: BundleOfEnvelopes ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:130

  #### Parameters

  - ##### Optional value: BundleOfEnvelopes

  #### Returns NetworkEnvelope

### setChatMessage

- setChatMessage(value?: ChatMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:110

  #### Parameters

  - ##### Optional value: ChatMessage

  #### Returns NetworkEnvelope

### setCloseConnectionMessage

- setCloseConnectionMessage(value?: CloseConnectionMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:75

  #### Parameters

  - ##### Optional value: CloseConnectionMessage

  #### Returns NetworkEnvelope

### setDelayedPayoutTxSignatureRequest

- setDelayedPayoutTxSignatureRequest(value?: DelayedPayoutTxSignatureRequest ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:145

  #### Parameters

  - ##### Optional value: DelayedPayoutTxSignatureRequest

  #### Returns NetworkEnvelope

### setDelayedPayoutTxSignatureResponse

- setDelayedPayoutTxSignatureResponse(value?: DelayedPayoutTxSignatureResponse ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:150

  #### Parameters

  - ##### Optional value: DelayedPayoutTxSignatureResponse

  #### Returns NetworkEnvelope

### setDepositRequest

- setDepositRequest(value?: DepositRequest ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:215

  #### Parameters

  - ##### Optional value: DepositRequest

  #### Returns NetworkEnvelope

### setDepositResponse

- setDepositResponse(value?: DepositResponse ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:220

  #### Parameters

  - ##### Optional value: DepositResponse

  #### Returns NetworkEnvelope

### setDepositTxAndDelayedPayoutTxMessage

- setDepositTxAndDelayedPayoutTxMessage(value?: DepositTxAndDelayedPayoutTxMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:155

  #### Parameters

  - ##### Optional value: DepositTxAndDelayedPayoutTxMessage

  #### Returns NetworkEnvelope

### setDepositTxMessage

- setDepositTxMessage(value?: DepositTxMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:95

  #### Parameters

  - ##### Optional value: DepositTxMessage

  #### Returns NetworkEnvelope

### setDepositsConfirmedMessage

- setDepositsConfirmedMessage(value?: DepositsConfirmedMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:225

  #### Parameters

  - ##### Optional value: DepositsConfirmedMessage

  #### Returns NetworkEnvelope

### setDisputeClosedMessage

- setDisputeClosedMessage(value?: DisputeClosedMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:105

  #### Parameters

  - ##### Optional value: DisputeClosedMessage

  #### Returns NetworkEnvelope

### setDisputeOpenedMessage

- setDisputeOpenedMessage(value?: DisputeOpenedMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:100

  #### Parameters

  - ##### Optional value: DisputeOpenedMessage

  #### Returns NetworkEnvelope

### setGetDataResponse

- setGetDataResponse(value?: GetDataResponse ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:15

  #### Parameters

  - ##### Optional value: GetDataResponse

  #### Returns NetworkEnvelope

### setGetInventoryRequest

- setGetInventoryRequest(value?: GetInventoryRequest ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:175

  #### Parameters

  - ##### Optional value: GetInventoryRequest

  #### Returns NetworkEnvelope

### setGetInventoryResponse

- setGetInventoryResponse(value?: GetInventoryResponse ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:180

  #### Parameters

  - ##### Optional value: GetInventoryResponse

  #### Returns NetworkEnvelope

### setGetPeersRequest

- setGetPeersRequest(value?: GetPeersRequest ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:25

  #### Parameters

  - ##### Optional value: GetPeersRequest

  #### Returns NetworkEnvelope

### setGetPeersResponse

- setGetPeersResponse(value?: GetPeersResponse ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:30

  #### Parameters

  - ##### Optional value: GetPeersResponse

  #### Returns NetworkEnvelope

### setGetUpdatedDataRequest

- setGetUpdatedDataRequest(value?: GetUpdatedDataRequest ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:20

  #### Parameters

  - ##### Optional value: GetUpdatedDataRequest

  #### Returns NetworkEnvelope

### setInitMultisigRequest

- setInitMultisigRequest(value?: InitMultisigRequest ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:200

  #### Parameters

  - ##### Optional value: InitMultisigRequest

  #### Returns NetworkEnvelope

### setInitTradeRequest

- setInitTradeRequest(value?: InitTradeRequest ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:195

  #### Parameters

  - ##### Optional value: InitTradeRequest

  #### Returns NetworkEnvelope

### setInputsForDepositTxRequest

- setInputsForDepositTxRequest(value?: InputsForDepositTxRequest ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:85

  #### Parameters

  - ##### Optional value: InputsForDepositTxRequest

  #### Returns NetworkEnvelope

### setInputsForDepositTxResponse

- setInputsForDepositTxResponse(value?: InputsForDepositTxResponse ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:90

  #### Parameters

  - ##### Optional value: InputsForDepositTxResponse

  #### Returns NetworkEnvelope

### setMediatedPayoutTxPublishedMessage

- setMediatedPayoutTxPublishedMessage(value?: MediatedPayoutTxPublishedMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:140

  #### Parameters

  - ##### Optional value: MediatedPayoutTxPublishedMessage

  #### Returns NetworkEnvelope

### setMediatedPayoutTxSignatureMessage

- setMediatedPayoutTxSignatureMessage(value?: MediatedPayoutTxSignatureMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:135

  #### Parameters

  - ##### Optional value: MediatedPayoutTxSignatureMessage

  #### Returns NetworkEnvelope

### setMessageVersion

- setMessageVersion(value: string): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:7

  #### Parameters

  - ##### value: string

  #### Returns NetworkEnvelope

### setOfferAvailabilityRequest

- setOfferAvailabilityRequest(value?: OfferAvailabilityRequest ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:45

  #### Parameters

  - ##### Optional value: OfferAvailabilityRequest

  #### Returns NetworkEnvelope

### setOfferAvailabilityResponse

- setOfferAvailabilityResponse(value?: OfferAvailabilityResponse ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:50

  #### Parameters

  - ##### Optional value: OfferAvailabilityResponse

  #### Returns NetworkEnvelope

### setPaymentReceivedMessage

- setPaymentReceivedMessage(value?: PaymentReceivedMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:235

  #### Parameters

  - ##### Optional value: PaymentReceivedMessage

  #### Returns NetworkEnvelope

### setPaymentSentMessage

- setPaymentSentMessage(value?: PaymentSentMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:230

  #### Parameters

  - ##### Optional value: PaymentSentMessage

  #### Returns NetworkEnvelope

### setPeerPublishedDelayedPayoutTxMessage

- setPeerPublishedDelayedPayoutTxMessage(value?: PeerPublishedDelayedPayoutTxMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:160

  #### Parameters

  - ##### Optional value: PeerPublishedDelayedPayoutTxMessage

  #### Returns NetworkEnvelope

### setPing

- setPing(value?: Ping ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:35

  #### Parameters

  - ##### Optional value: Ping

  #### Returns NetworkEnvelope

### setPong

- setPong(value?: Pong ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:40

  #### Parameters

  - ##### Optional value: Pong

  #### Returns NetworkEnvelope

### setPrefixedSealedAndSignedMessage

- setPrefixedSealedAndSignedMessage(value?: PrefixedSealedAndSignedMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:80

  #### Parameters

  - ##### Optional value: PrefixedSealedAndSignedMessage

  #### Returns NetworkEnvelope

### setPreliminaryGetDataRequest

- setPreliminaryGetDataRequest(value?: PreliminaryGetDataRequest ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:10

  #### Parameters

  - ##### Optional value: PreliminaryGetDataRequest

  #### Returns NetworkEnvelope

### setPrivateNotificationMessage

- setPrivateNotificationMessage(value?: PrivateNotificationMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:115

  #### Parameters

  - ##### Optional value: PrivateNotificationMessage

  #### Returns NetworkEnvelope

### setRefreshOfferMessage

- setRefreshOfferMessage(value?: RefreshOfferMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:55

  #### Parameters

  - ##### Optional value: RefreshOfferMessage

  #### Returns NetworkEnvelope

### setRefreshTradeStateRequest

- setRefreshTradeStateRequest(value?: RefreshTradeStateRequest ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:165

  #### Parameters

  - ##### Optional value: RefreshTradeStateRequest

  #### Returns NetworkEnvelope

### setRemoveDataMessage

- setRemoveDataMessage(value?: RemoveDataMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:65

  #### Parameters

  - ##### Optional value: RemoveDataMessage

  #### Returns NetworkEnvelope

### setRemoveMailboxDataMessage

- setRemoveMailboxDataMessage(value?: RemoveMailboxDataMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:70

  #### Parameters

  - ##### Optional value: RemoveMailboxDataMessage

  #### Returns NetworkEnvelope

### setSignContractRequest

- setSignContractRequest(value?: SignContractRequest ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:205

  #### Parameters

  - ##### Optional value: SignContractRequest

  #### Returns NetworkEnvelope

### setSignContractResponse

- setSignContractResponse(value?: SignContractResponse ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:210

  #### Parameters

  - ##### Optional value: SignContractResponse

  #### Returns NetworkEnvelope

### setSignOfferRequest

- setSignOfferRequest(value?: SignOfferRequest ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:185

  #### Parameters

  - ##### Optional value: SignOfferRequest

  #### Returns NetworkEnvelope

### setSignOfferResponse

- setSignOfferResponse(value?: SignOfferResponse ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:190

  #### Parameters

  - ##### Optional value: SignOfferResponse

  #### Returns NetworkEnvelope

### setTraderSignedWitnessMessage

- setTraderSignedWitnessMessage(value?: TraderSignedWitnessMessage ): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:170

  #### Parameters

  - ##### Optional value: TraderSignedWitnessMessage

  #### Returns NetworkEnvelope

### toObject

- toObject(includeInstance?: boolean): NetworkEnvelope . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:242

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns NetworkEnvelope . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:245

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns NetworkEnvelope

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: NetworkEnvelope, reader: BinaryReader): NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:246

  #### Parameters

  - ##### message: NetworkEnvelope

  - ##### reader: BinaryReader

  #### Returns NetworkEnvelope

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: NetworkEnvelope, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:244

  #### Parameters

  - ##### message: NetworkEnvelope

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: NetworkEnvelope ): NetworkEnvelope . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:243

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: NetworkEnvelope

  #### Returns NetworkEnvelope . AsObject

Generated using TypeDoc